Bug 1290339 - Review Request: curve25519-java - Implementation of Curve25519 in Java
Review Request: curve25519-java - Implementation of Curve25519 in Java
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luya Tshimbalanga
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1290344 1290342
  Show dependency treegraph
 
Reported: 2015-12-10 04:34 EST by gil cattaneo
Modified: 2016-09-26 09:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: curve25519-java-0.1.0-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-26 09:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
luya: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-12-10 04:34:12 EST
Spec URL: https://gil.fedorapeople.org/curve25519-java.spec
SRPM URL: https://gil.fedorapeople.org/curve25519-java-0.1.0-1.fc23.src.rpm
Description:
Java port of Matthijs van Duin's implementation
of Daniel J Bernstein's Curve25519.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=12135986

sshj dependency
new url https://github.com/hierynomus/sshj/tags
Comment 1 Upstream Release Monitoring 2015-12-10 04:34:26 EST
gil's scratch build of curve25519-java-0.1.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12135986
Comment 3 Luya Tshimbalanga 2016-09-23 16:53:41 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     curve25519-java-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: curve25519-java-0.1.0-1.fc24.noarch.rpm
          curve25519-java-javadoc-0.1.0-1.fc24.noarch.rpm
          curve25519-java-0.1.0-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
curve25519-java-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

curve25519-java (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils



Provides
--------
curve25519-java-javadoc:
    curve25519-java-javadoc

curve25519-java:
    curve25519-java
    mvn(org.zeromq:curve25519-java)
    mvn(org.zeromq:curve25519-java:pom:)
    osgi(org.zeromq.curve25519-java)



Source checksums
----------------
https://github.com/trevorbernard/curve25519-java/archive/v0.1.0/curve25519-java-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 0d190edf26e73281d8942bfb2e849acae210debe1d4f84cef255d36fd9693f38
  CHECKSUM(SHA256) upstream package : 0d190edf26e73281d8942bfb2e849acae210debe1d4f84cef255d36fd9693f38
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Based on the review, this package is APPROVED!
Comment 4 gil cattaneo 2016-09-23 17:14:41 EDT
Thanks for the review!

create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/7936
Comment 5 Gwyn Ciesla 2016-09-26 08:37:14 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/curve25519-java
Comment 6 gil cattaneo 2016-09-26 09:08:14 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15809250

Note You need to log in before you can comment on or make changes to this bug.